#include "common.h"
#include "uart.h"

#define BRGVAL_115200 1

void uart_init() {
	UART_TX_REMAP_PIN_REG = U1TX;
	_U1RXR = UART_RX_REMAP_PIN;
	U1BRG = BRGVAL_115200;
	U1MODE = 0x8800;
	U1STA = 0x8400;
}

void uart_send(const char* msg, int nbytes) {
	int i;
	for(i = 0; i < nbytes; ++i, ++msg) {
		while(_UTXBF) { }
		U1TXREG = *msg;
	}
}
